Page MenuHomePhabricator

Enable MCR migration stage "write both, read old" on commons beta.
Closed, ResolvedPublic

Description

To make sure writing to the new MCR enabled database schema works, we should enable it on a beta wiki first:

$wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_WRITE_BOTH | SCHEMA_COMPAT_READ_OLD;

Perhaps commons.wikimedia.beta.wmflabs.org would be a good choice.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Jun 20 2018, 5:37 PM
daniel triaged this task as Normal priority.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 26 2018, 7:39 AM
daniel renamed this task from Set $wgMultiContentRevisionSchemaMigrationStage = MIGRATION_WRITE_BOTH on commons beta. to Enable MCR migration stage "write both, read old" on commons beta..
daniel updated the task description. (Show Details)

Change 442918 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[operations/mediawiki-config@master] MCR DNM Enable MCR write-both mode on commons beta

https://gerrit.wikimedia.org/r/442918

Vvjjkkii renamed this task from Enable MCR migration stage "write both, read old" on commons beta. to dkaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from dkaaaaaaaa to Enable MCR migration stage "write both, read old" on commons beta..
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 444917 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Run populateContentTables.php from update.php

https://gerrit.wikimedia.org/r/444917

Change 444917 merged by jenkins-bot:
[mediawiki/core@master] Run populateContentTables.php from update.php

https://gerrit.wikimedia.org/r/444917

Change 442918 merged by jenkins-bot:
[operations/mediawiki-config@master] MCR Enable MCR write-both mode on commons beta

https://gerrit.wikimedia.org/r/442918

Anomie closed this task as Resolved.Jul 19 2018, 3:29 PM
Anomie claimed this task.